GET /v1/properties

Fetch all the contracted propertyId(s) for the Partner.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • propertyIds array[integer(int64)]

      Momorooms ID(s) of the contracted properties.

  • 500 application/json

    Server Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        500An unexpected error occurred. Please try again later.

GET /v1/properties
curl \
 --request GET 'https://partner.momorooms.com/v1/properties' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "propertyIds": [
    42
  ]
}
Response examples (500)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}